<?php

/**
 * @file
 * UI code for the module.
 */

/**
 * Drupal_get_form page callbock.
 */
function batch_resize_image_confirm_form() {
  $form['threshold_size'] = array(
    '#type' => 'textfield',
    '#title' => t('Threshold size'),
    '#description' => t('The file which size is over this bytes will check to resize.'),
    '#default_value' => BATCH_RESIZE_IMAGE_FILE_THRESHOLD_SIZE,
    '#size' => 20,
    '#maxlength' => 15,
    '#required' => TRUE,
  );
  $form['size_limit'] = array(
    '#type' => 'textfield',
    '#title' => t('Maximum width or height'),
    '#description' => t('The file which is check to resize will fit the width or height to this number.'),
    '#default_value' => BATCH_RESIZE_IMAGE_MAX_IMAGE_WIDTH_OR_HEIGHT,
    '#size' => 20,
    '#maxlength' => 6,
    '#required' => TRUE,
  );
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Transform'),
    '#submit' => array('batch_resize_image_confirm_form_submit'),
  );

  return $form;
}

/**
 * Submit callback.
 */
function batch_resize_image_confirm_form_submit($form, &$form_state) {
  batch_resize_image_setup_batch($form['threshold_size']['#value'], $form['size_limit']['#value']);
}
