<?php

/**
 * @file
 * Drush functionality.
 */

/**
 * Implements boot_drush_command().
 */
function batch_resize_image_drush_command() {
  $items = array();
  $items['batch_resize_image'] = array(
    'callback'    => 'batch_resize_image_setup_batch',
    'description' => t('Drush command to resize images that fall under the defined rules.'),
    'arguments'   => array(
      'file_threshold_size'       => "The file which size is over this bytes will check to resize.",
      'max_image_width_or_height' => "The file which is check to resize will fit the width or height to this number.",
    ),
    'examples' => [
      'drush batch_resize_image' => 'Execute resize with default settings.',
      'drush batch_resize_image 2000000 2048' => 'Execute resize so the images over 2000000 bytes and 2048px dimension will be resized to 2048px.',
      'drush batch_resize_image 0 2048' => 'Execute resize so all the images above 2048px in dimension will be resized to 2048px.',
    ],
  );
  return $items;
}
